Subject: [Netconf] RFC 5277 <replayComplete>

From: Rohit Ranade <[email-masked]>
Date: Thu, 22 Sep 2016 17:13:45 +0000

Section 3.3.2 mentions

“In the case of a subscription without a stop time, after the

   <replayComplete> notification has been sent, it can be expected that

   any notifications generated since the start of the subscription

   creation will be sent, followed by notifications as they arise

   naturally within the system.
”
Above section indicates that till replay is completed, new event’s  notifications need to be withheld.

The <replayComplete> notification contains a <eventTime> tag. What should be the value of <eventTime> ?

è If it is time of replay completion, then its time will be greater than the events which were raised when replay was still in progress.

è How does an EMS benefit from receiving the <replayComplete>  notification ?  I assume from the <eventTime>, an EMS can certainly know whether a notification was part of replay or newly generated.

The RFC 5277 bis also does not elaborate on the above points.

Sent from Mail<https://go.microsoft.com/fwlink/?LinkId=550986> for Windows 10

---

From: Andy Bierman <[email-masked]>
Date: Thu, 22 Sep 2016 10:41:25 -0700

> be the value of <eventTime> ?

The timestamp when you send <replayComplete>

> è If it is time of replay completion, then its time will be greater than
> the events which were raised when replay was still in progress.
>

It is always the time the event message is sent, same as other notification
messages

> è How does an EMS benefit from receiving the <replayComplete>
>  notification ?  I assume from the <eventTime>, an EMS can certainly know
> whether a notification was part of replay or newly generated.
>
>
>

It tells the EMS replay is over.
After that the session will either get dropped or live notifications will
start.

> The RFC 5277 bis also does not elaborate on the above points.

I think it does say these details.

Andy

>
>
> Sent from Mail <https://go.microsoft.com/fwlink/?LinkId=550986> for
> Windows 10
>
>
>
> _______________________________________________
> Netconf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netconf
>
>